> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bundlers.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch bundle data

### API URL

```
https://bundlers.network/api/bundle?network={network}&hash={hash}&apiKey={apiKey}
```

### Parameters

<ParamField path="network" type="string" required>
  Supported networks: ethereum, base, polygon
</ParamField>

<ParamField path="hash" type="string" required initialValue="0x......" default="0x...">
  Hash of the ERC4337 / bundle transaction
</ParamField>

### Response

<ResponseExample>
  ```json 200 Response example theme={null}
  {
    "txFee": "8282764901918682",
    "txFeeConverted": {
      "wei": "8282764901918682",
      "kwei": "8282764901918.682",
      "mwei": "8282764901.918682",
      "gwei": "8282764.901918682",
      "szabo": "8282.764901918682",
      "finney": "8.282764901918682",
      "ether": "0.008282764901918682",
      "kether": "0.00000828276490191868",
      "mether": "0.00000000828276490192",
      "gether": "0.0000000000082827649",
      "tether": "0.00000000000000828276"
    },
    "feeCollected": "8622711683904780",
    "feeCollectedConverted": {
      "wei": "8622711683904780",
      "kwei": "8622711683904.78",
      "mwei": "8622711683.90478",
      "gwei": "8622711.68390478",
      "szabo": "8622.71168390478",
      "finney": "8.62271168390478",
      "ether": "0.00862271168390478",
      "kether": "0.00000862271168390478",
      "mether": "0.0000000086227116839",
      "gether": "0.00000000000862271168",
      "tether": "0.00000000000000862271"
    },
    "profitOrLoss": 339946781986098,
    "profitOrLossConverted": {
      "wei": "339946781986098",
      "kwei": "339946781986.098",
      "mwei": "339946781.986098",
      "gwei": "339946.781986098",
      "szabo": "339.946781986098",
      "finney": "0.339946781986098",
      "ether": "0.000339946781986098",
      "kether": "0.0000003399467819861",
      "mether": "0.00000000033994678199",
      "gether": "0.00000000000033994678",
      "tether": "0.00000000000000033995"
    },
    "profitPercentage": "4.10",
    "profitOrLossUSD": "1.091",
    "nativeTokenLogo": "https://bundlers.network/ethereum.png",
    "bundlerAddress": "0x....",
    "bundlerName": "Bundler1",
    "network": "ethereum",
    "explorerHash": "https://etherscan.io/tx/0x...",
    "nativeTokenExchangeRate": "3210"
  }

  ```
</ResponseExample>
